Bug 1572793 - Frequent "AH01574: module ssl_module is already loaded, skipping" in journal
Summary: Frequent "AH01574: module ssl_module is already loaded, skipping" in journal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.10.0
Assignee: Joe Rafaniello
QA Contact: Tasos Papaioannou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 21:27 UTC by Joe Rafaniello
Modified: 2019-02-07 23:02 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:54 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:02 UTC

Description Joe Rafaniello 2018-04-27 21:27:36 UTC
Description of problem:  At boot, when apache starts, we get this in the journal and /var/log/messages:

Apr 24 15:32:49 localhost.localdomain systemd[1]: Starting The Apache HTTP Server...
Apr 24 15:32:49 localhost.localdomain httpd[2031]: [Tue Apr 24 15:32:49.860749 2018] [so:warn] [pid 2031] AH01574: module ssl_module is already loaded, skipping



Version-Release number of selected component (if applicable): 5.9.2.0


How reproducible: Very


Steps to Reproduce:
1. start an appliance, or manually restart httpd
2.
3.

Actual results: warning:
AH01574: module ssl_module is already loaded, skipping


Expected results:
No warning


Additional info:
mod_ssl rpm provides an /etc file that loads the ssl_module, so we don't have to:

# cat /etc/httpd/conf.modules.d/00-ssl.conf
LoadModule ssl_module modules/mod_ssl.so

# rpm -qf /etc/httpd/conf.modules.d/00-ssl.conf
mod_ssl-2.4.6-80.el7.x86_64


Since mod_ssl is a dependent rpm in our upstream kickstart[1] and downstream cfme-appliance[2], we should be able to just remove our loading of the module[3]

[1] https://github.com/ManageIQ/manageiq-appliance-build/blob/ddbdf493343eb3a6b3a16a1c17d2148bcc7b642a/kickstarts/partials/packages/includes.ks.erb#L32

[2] # rpm --test -e mod_ssl-2.4.6-80.el7.x86_64
error: Failed dependencies:
	mod_ssl is needed by (installed) cfme-appliance-5.9.2.0-1.el7cf.x86_64

[3] https://github.com/ManageIQ/manageiq-appliance/blob/0cfadef3468e64f1989e2b3e07bcf191a57071fa/COPY/etc/httpd/conf.d/manageiq-https.conf#L3

Comment 2 Joe Rafaniello 2018-04-27 21:29:37 UTC
Also seen in bug https://bugzilla.redhat.com/show_bug.cgi?id=1572615

Although, it doesn't seem to cause a problem, it's still not needed.

Comment 4 CFME Bot 2018-04-27 22:17:18 UTC
New commit detected on ManageIQ/manageiq-appliance/master:

https://github.com/ManageIQ/manageiq-appliance/commit/f80292320ab3dbf24a91b261c9cf09393ecb2e25
commit f80292320ab3dbf24a91b261c9cf09393ecb2e25
Author:     Joe Rafaniello <jrafanie@redhat.com>
AuthorDate: Fri Apr 27 17:31:49 2018 -0400
Commit:     Joe Rafaniello <jrafanie@redhat.com>
CommitDate: Fri Apr 27 17:31:49 2018 -0400

    mod_ssl rpm loads the module so we don't have to

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1572793

    Loading the module a second time was leading to the following warning in
    journal, /var/log/messages, etc.:

    AH01574: module ssl_module is already loaded, skipping

    This file loads mod_ssl.so:
    $ cat /etc/httpd/conf.modules.d/00-ssl.conf
    LoadModule ssl_module modules/mod_ssl.so

    It's provided by mod_ssl rpm:
    $ rpm -qf /etc/httpd/conf.modules.d/00-ssl.conf
    mod_ssl-2.4.6-80.el7.x86_64

    Since mod_ssl is a dependent rpm in our upstream kickstart[1] and downstream cfme-appliance[2], we should be able to just remove our loading of the module[3]

    [1] https://github.com/ManageIQ/manageiq-appliance-build/blob/ddbdf493343eb3a6b3a16a1c17d2148bcc7b642a/kickstarts/partials/packages/includes.ks.erb#L32

    [2] # rpm --test -e mod_ssl-2.4.6-80.el7.x86_64
    error: Failed dependencies:
      mod_ssl is needed by (installed) cfme-appliance-5.9.2.0-1.el7cf.x86_64

    [3] https://github.com/ManageIQ/manageiq-appliance/blob/0cfadef3468e64f1989e2b3e07bcf191a57071fa/COPY/etc/httpd/conf.d/manageiq-https.conf#L3

 COPY/etc/httpd/conf.d/manageiq-https.conf | 2 -
 1 file changed, 2 deletions(-)

Comment 5 Tasos Papaioannou 2018-08-01 13:55:52 UTC
Verified on 5.10.0.6.

Comment 7 errata-xmlrpc 2019-02-07 23:01:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.